import { ApiCancellationParams, ApiSmsVerifyCodeParams, ApiTempAuthParams, ApiTokenAuthParams, ApiVerifyCodeParams } from '../interface';
export default class ApiManager {
    private static instance;
    private baseURL;
    private overrideUrl;
    private ENV;
    private axiosInstance;
    private constructor();
    static getInstance(): ApiManager;
    private buildOptions;
    setTestEnv(isTestEnv: boolean): void;
    setOverride(isOverride: boolean): void;
    getSmsVerifyCode(data: ApiSmsVerifyCodeParams): Promise<import('axios').AxiosResponse<any, any>>;
    loginSystemByVerifyCode(data: ApiVerifyCodeParams): Promise<import('axios').AxiosResponse<any, any>>;
    loginSystemByToken(data: ApiTokenAuthParams): Promise<import('axios').AxiosResponse<any, any>>;
    loginSystemByTemp(data: ApiTempAuthParams): Promise<import('axios').AxiosResponse<any, any>>;
    cancellation(data: ApiCancellationParams): Promise<import('axios').AxiosResponse<any, any>>;
}
